Subject: Re: [IPP] Canon question about missing IANA registrations regarding "Printer MIB and IPP MFD Alerts" specs

From: Ira McDonald <[email-masked]>
Date: Wed, 16 Nov 2016 09:36:26 -0500

Hi Rick,

Mea culpa.

MFD Alerts was published the same month that I left Samsung and
I went straight to another high-pressure client and project and just
plain forgot to IANA register the Printer MIB updates.

There is also a pending errata update against this document for the
correct use of "-error" and "-warning" suffixes (i.e., should use them
in IPP, but I will *remove* them from the Printer MIB enums, since
the separate prtAlertSeverityLevel object should be used there).

The update to MFD Alerts is the highest priority editing task that I'll
start on in January 2017.  It also needs to be poured into the new
PWG document template.  Mike Sweet will help me with editorial
problems and the update to the very large IANA Considerations
section.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434

On Tue, Nov 15, 2016 at 3:43 PM, Yardumian, Rick <[email-masked]>
wrote:

> Hi Smith,
>
> I got a request from Canon Japan about the Printer MIB and IPP MFD Alerts.
> I copied Mike and Ira in case they have a quick answer.
>
> 1st question is regarding the following documents;
> https://ftp.pwg.org/pub/pwg/candidates/cs-pmpmfdalerts10-
> 20120629-5107.3.pdf
> Printer MIB and IPP MFD Alerts (MFD Alerts)
> Status: Approved
> 29 June 2012 Candidate Standard
>
> In section "5.2 MFD and Printer Extension Subunit Alerts", it notes that
> "The new MFD and Printer extension subunit alerts and the associated alert
> values are defined in this section for registration in PrtAlertCodeTC in
> IANA Printer MIB [IANAPRT]."
>
> However, on the "https://www.ietf.org/assignments/ianaprinter-mib/
> ianaprinter-mib", Canon could not find additional registration for the
> above spec.
>
> Based on the above situation, Canon thinks;
>  - "ianaprinter-mib" has not been updated yet.
>  - However, the "Printer MIB and IPP MFD Alerts" have been approved.
>
> Is Canon's understanding correct?
>
>
> And regarding the section "5.2 MFD and Printer Extension Subunit Alerts",
> Canon thinks;
>  - "Table 2  MFD and Printer Subunit Alerts" is correct.
>  - "Table 3  IPP printer-state-reasons" and "9.2 Alert Codes" are incorrect
>     (missing assignment)
>
> Is Canon's understanding correct?
>
> Thanks for looking into this.
>
> Best regards,
> Rick
>
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp